﻿(function () {

    "use strict";

    angular.module("enrDetailsPaneModule")
           .directive("detailsReferendumVotes", [function () {
               return {
                   templateUrl: "Scripts/EnrAngular/EnrDetailsPane/detailsReferendumVotes.html",
                   scope: { referendumData: "=" },
                   controller: "detailsReferendumVotesController",
                   restrict: "E"
               };
           }])
           .controller("detailsReferendumVotesController", ["$scope", function ($scope) {
               var yesVotes = Number($scope.referendumData.POSITIVE_RESULTS);
               var noVotes = Number($scope.referendumData.NEGATIVE_RESULTS);

               $scope.totalVotes = yesVotes + noVotes;
               $scope.votesCollection = [
               {
                   label: "Yes", votes: yesVotes
               },
               {
                   label: "No", votes: noVotes
               }];
           }]);

}());
